import { OnInit, EventEmitter, ElementRef, Renderer2, DoCheck } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ItemService } from '../../item-service/item-service.service';
export declare class InputTypeConfigurationComponent implements OnInit, DoCheck {
    private domSanitizer;
    private renderer;
    private el;
    private itemService;
    d: ElementRef;
    inputArrays: Array<ElementRef>;
    blankMatches: RegExpMatchArray;
    noOfBlanks: number;
    blankValues: any[];
    emittedValue: any;
    stringArray: any;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer2, el: ElementRef, itemService: ItemService);
    isClearAnswer: boolean;
    promptTxt: any;
    userAttemptDetails: any;
    clearAnswer: any;
    valueChanged: EventEmitter<any>;
    ngOnInit(): void;
    ngDoCheck(): void;
    typed(event: any): void;
    handleQuestionText(question: any): void;
    valueForInput(): void;
}
